<div class="h-[50px] bg-primary-600 md:hidden">
    <button @click="$refs.sidebar.classList.toggle('opened')" aria-controls="default-sidebar" type="button"
        class="inline-flex items-center p-2 mt-2 ml-3 text-sm text-white rounded-lg  hover:text-secondary-500 focus:outline-none focus:ring-2 focus:ring-gray-200">
        <span class="sr-only">Open sidebar</span>
        <svg class="w-6 h-6" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
            <path clip-rule="evenodd" fill-rule="evenodd"
                d="M2 4.75A.75.75 0 012.75 4h14.5a.75.75 0 010 1.5H2.75A.75.75 0 012 4.75zm0 10.5a.75.75 0 01.75-.75h7.5a.75.75 0 010 1.5h-7.5a.75.75 0 01-.75-.75zM2 10a.75.75 0 01.75-.75h14.5a.75.75 0 010 1.5H2.75A.75.75 0 012 10z">
            </path>
        </svg>
    </button>
</div>
<aside x-ref="sidebar"
    class="sidebar fixed top-0 left-0 rtl:right-0 rtl:left-auto z-40 w-64 h-screen transition-transform   md:rtl:translate-x-0 rtl:translate-x-full -translate-x-full md:translate-x-0"
    aria-label="Sidebar">
    <div class="text-left md:hidden bg-gray-50">
        <button @click="$refs.sidebar.classList.toggle('opened')" aria-controls="default-sidebar" type="button"
            class="inline-flex items-center p-2 mt-2 ml-3 text-sm text-primary-600  rounded-lg md:hidden hover:text-primary-400 focus:outline-none focus:ring-2 focus:ring-gray-200">
            <span class="sr-only">Close sidebar</span>
            <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="currentColor" viewBox="0 0 24 24"
                stroke="currentColor" stroke-width="2">
                <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12" />
            </svg>
        </button>
    </div>
    <div class="h-full py-4 overflow-y-auto bg-gray-50">

        <div class="logo px-[20%] py-8  text-center">
            <img src="/assets/images/logo.svg" alt="">
        </div>
        <ul class="sidebar-items relative">
            <x-layouts.sidebar.sidebar-item label="{{ __('app.pages.home.sections.home.navigation_title') }}"
                url="#home" class="scroll-to" />
            <x-layouts.sidebar.sidebar-item label="{{ __('app.pages.home.sections.about.navigation_title') }}"
                url="#about" :active="\Route::currentRouteName() == 'AboutPage'" class="scroll-to" />
            <x-layouts.sidebar.sidebar-item label="{{ __('app.pages.home.sections.services.navigation_title') }}"
                url="#services" class="scroll-to" />
            <x-layouts.sidebar.sidebar-item label="{{ __('app.pages.home.sections.projects.navigation_title') }}"
                url="#projects" :active="\Route::currentRouteName() == 'ProjectDetailPage'" class="scroll-to" />
            <x-layouts.sidebar.sidebar-item label="{{ __('app.pages.home.sections.partners.navigation_title') }}"
                url="#partners" class="scroll-to" />
            <x-layouts.sidebar.sidebar-item label="{{ __('app.pages.home.sections.contact.navigation_title') }}"
                url="#contact" class="scroll-to" />
            <x-layouts.sidebar.sidebar-item label="{{ __('app.other_language') }}"
                url="{{ url()->current() . '?lang=' . __('app.other_language_code') }}" class="scroll-to" />
        </ul>
</aside>
