<div dir="{{ __('app.direction') ?? 'ltr' }}" class="about-swiper lg:h-[60vh] w-full relative overflow-hidden ">
    <div class="swiper-wrapper">
        <div class="swiper-slide">
            <div class="bg-[#DFBC66]  overflow-hidden px-16 pb-8 h-full  flex flex-col justify-center vision">
                <div class="grid lg:grid-cols-3 gap-8 ">

                    <div class="lg:col-span-2 mt-4 text-white flex flex-col justify-center items-start">
                        <h1 class="title">
                            <span
                                class="moving-title opacity-[0.1]">{{ __('app.pages.home.sections.about.vision') }}</span>
                            <span class="fixed-title text-white">{{ __('app.pages.home.sections.about.vision') }}</span>

                        </h1>
                        <div class="text-gray-700 text">
                            {!! $this->about->vision !!}
                        </div>
                    </div>
                    <div class="text-center lg:text-left lg:order-2 -order-1">
                        <img class=" fadeInDown inline lg:h-full" src="/assets/images/vision.svg" alt="">
                    </div>

                </div>
            </div>
        </div>
        <div class="swiper-slide">
            <div
                class="bg-[#A3803D]  overflow-hidden h-full py-16 rtl:pr-16 rtl:pl-0 pl-16 vision  flex flex-col justify-center items-start">
                <div class="grid lg:grid-cols-3 gap-8 ">

                    <div class="lg:col-span-2 mt-4 text-white flex flex-col justify-center items-start">
                        <h1 class="title">
                            <span
                                class="moving-title opacity-[0.05]">{{ __('app.pages.home.sections.about.mission') }}</span>
                            <span
                                class="fixed-title text-secondary-400">{{ __('app.pages.home.sections.about.mission') }}</span>

                        </h1>
                        <div class="text-white text">
                            {!! $this->about->mission !!}

                        </div>
                    </div>
                    <div class="text-left">
                        <img class=" fadeInRight inline h-full" src="/assets/images/mission.svg" alt="">
                    </div>
                </div>
            </div>
        </div>
        <div class="swiper-slide">

            <div class="bg-primary-600  h-full px-16 pb-8  overflow-hidden flex flex-col justify-center vision">
                <div class="grid lg:grid-cols-3 gap-8 ">

                    <div class="lg:col-span-2 lg:mt-4 lg:mb-0 mb-8 text-white flex flex-col justify-center items-start">
                        <h1 class="title">
                            <span
                                class="moving-title opacity-[0.1]">{{ __('app.pages.home.sections.about.values') }}</span>
                            <span
                                class="fixed-title text-secondary-600">{{ __('app.pages.home.sections.about.values') }}</span>

                        </h1>
                        <div class="text-white text">
                            {!! $this->about->values !!}
                        </div>
                    </div>
                    <div class="text-center lg:text-left lg:order-2 -order-1">
                        <img class=" fadeInDown inline h-full" src="/assets/images/values.svg" alt="">
                    </div>
                </div>
            </div>
        </div>
        <div class="swiper-slide">

            <div class="bg-[#1C6D46]  py-16 rtl:pr-16 rtl:pl-0 pl-16 vision  flex flex-col justify-center items-start">
                <div class="grid lg:grid-cols-3 gap-8 ">

                    <div class="lg:col-span-2 mt-4 text-white flex flex-col justify-center items-start">
                        <h1 class="title">
                            <span
                                class="moving-title opacity-[0.05]">{{ __('app.pages.home.sections.about.goals') }}</span>
                            <span
                                class="fixed-title text-secondary-400">{{ __('app.pages.home.sections.about.goals') }}</span>

                        </h1>
                        <div class="text-white text">
                            {!! $this->about->goals !!}
                        </div>
                    </div>
                    <div class="text-left">
                        <img class="fadeInRight inline h-62" src="/assets/images/goal.svg" alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- If we need navigation buttons -->
    <div class="swiper-button-prev"></div>
    <div class="swiper-button-next"></div>


    <div class="swiper-pagination"></div>
</div>

@push('styles')
    <style>
        .swiper-button-next,
        .swiper-button-prev {
            color: #074629 !important;
            background: white;
        }

        .swiper-button-prev {
            border-top-left-radius: 50px;
            border-bottom-left-radius: 50px;
            padding-left: 20px;
            padding-right: 10px;

        }

        [dir=ltr] .swiper-button-prev {
            border-top-left-radius: 0px;
            border-bottom-left-radius: 0px;
            border-top-right-radius: 50px;
            border-bottom-right-radius: 50px;
            padding-right: 20px;
            padding-left: 10px;
        }

        .swiper-button-next {
            border-top-right-radius: 50px;
            border-bottom-right-radius: 50px;
            padding-right: 20px;
            padding-left: 10px;
        }

        [dir=ltr] .swiper-button-next {
            border-top-right-radius: 0px;
            border-bottom-right-radius: 0px;
            border-top-left-radius: 50px;
            border-bottom-left-radius: 50px;
            padding-left: 20px;
            padding-right: 10px;
        }

        .swiper-button-next,
        .swiper-rtl .swiper-button-prev {
            right: 0;
            left: auto;
        }

        .swiper-button-prev,
        .swiper-rtl .swiper-button-next {
            left: 0;
            right: auto;
        }

        .swiper-button-next:after,
        .swiper-button-prev:after {
            font-size: 1em;
        }

        .about-swiper .swiper-pagination-bullet {
            background-color: white !important;
        }
    </style>
@endpush
@push('scripts')
    <script defer>
        // after page load
        window.addEventListener("load", (event) => {
            const swiper = new Swiper('.about-swiper', {
                // Optional parameters
                loop: true,
                effect: 'fade',
                // direction: "vertical",
                slidesPerView: 1,
                // mousewheel: true,
                // effect: 'fade',
                fadeEffect: {
                    crossFade: true
                },

                navigation: {
                    nextEl: '.swiper-button-next',
                    prevEl: '.swiper-button-prev',
                },
                autoplay: {
                    delay: 10000,
                },
                pagination: {
                    el: ".swiper-pagination",
                    clickable: true,
                    renderBullet: function(index, className) {
                        return '<span class="' + className + '"></span>';
                    },
                },

            });
        });
    </script>
@endpush
