<div dir="{{ __('app.direction') ?? 'ltr' }}" class="w-full home-swiper relative overflow-hidden">
    <!-- Additional required wrapper -->
    <div class="swiper-wrapper">
        <!-- Slides -->
        @foreach ($slides as $slide)
            <div class="swiper-slide">
                <div class="slide">
                    <img class="object-cover h-full w-full" src="{{ url("uploads/$slide->image") }}" alt="">
                    <div class="slide-overlay flex justify-center items-center">
                        @if ($slide->text)
                            <div class="text-white text center w-[80%] text-center">
                                {{ $slide->text }}
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        @endforeach
    </div>

    <!-- If we need navigation buttons -->
    <div class="swiper-button-prev"></div>
    <div class="swiper-button-next"></div>


    {{-- <div class="swiper-pagination"></div> --}}
    <a href="#about" class="mouse scroll-to hidden-sm hidden-xs">
        <div class="scroll-down"></div>
    </a>

</div>
@once
    @push('cssLibs')
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.css" />
    @endpush
    @push('jsLibs')
        <script src="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.js"></script>
    @endpush
@endonce
@push('scripts')
    <script defer>
        // after page load
        window.addEventListener("load", (event) => {
            const swiper = new Swiper('.home-swiper', {
                // Optional parameters
                loop: true,
                effect: 'fade',
                fadeEffect: {
                    crossFade: true
                },

                // Navigation arrows
                navigation: {
                    nextEl: '.swiper-button-next',
                    prevEl: '.swiper-button-prev',
                },
                autoplay: {
                    delay: 5000,
                },
                // pagination: {
                //     el: ".swiper-pagination",
                //     clickable: true,
                //     renderBullet: function(index, className) {
                //         return '<span class="' + className + '"></span>';
                //     },
                // },

            });
        });
    </script>
@endpush
