<div dir="{{ __('app.direction') ?? 'ltr' }}" class="w-full  relative  projects-swiper">
    <!-- Additional required wrapper -->
    <div class="swiper-wrapper">
        <!-- Slides -->
        @foreach ($projects as $project)
            <div class="swiper-slide">
                <div class="slide">
                    <div class="grid lg:grid-cols-3 lg:p-24 md:p-16 p-4 bg-primary-600">
                        <div class="lg:col-span-2 mt-8 lg:mt-0 lg:text-start text-center">
                            <h3 class="text-secondary-600 text-2xl font-bold fadeInUp">{{ $project->name }}</h3>
                            <div class="project-overview text-white py-8 fadeInUp delay1">
                                {{ $project->overview }}
                            </div>
                            <div class="fadeInUp more delay2">
                                <a class="more-btn mb-8  "
                                    href="{{ route('ProjectDetailPage', ['id' => $project->id]) }}">
                                    <span>{{ __('app.more_button') }}</span>
                                    <span class="svg_wrapper">
                                        <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg"
                                            xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                            viewBox="0 0 112.1 74" style="enable-background:new 0 0 112.1 74;"
                                            xml:space="preserve">
                                            <g transform="matrix(1.25,0,0,-1.25,0,74.027125)">
                                                <g transform="translate(68.936,26.6113)">
                                                    <path
                                                        d="M-48.2,0c-1.7,0-3,1.3-3,3s1.3,3,3,3h65.9c1.7,0,3-1.3,3-3s-1.3-3-3-3L-48.2,0">
                                                    </path>
                                                </g>
                                                <g transform="translate(60.0967,0)">
                                                    <path
                                                        d="M-30.5,0c-0.8,0-1.5,0.3-2.1,0.9l-26.6,26.6c-0.6,0.6-0.9,1.3-0.9,2.1s0.3,1.6,0.9,2.1l26.6,26.6c1.2,1.2,3.1,1.2,4.2,0
                                                c1.2-1.2,1.2-3.1,0-4.2l-24.5-24.5l24.5-24.5c1.2-1.2,1.2-3.1,0-4.2C-28.9,0.3-29.7,0-30.5,0">
                                                    </path>
                                                </g>
                                            </g>
                                        </svg>
                                    </span>
                                </a>
                            </div>

                        </div>
                        <div class="lg:text-left text-center lg:order-2 order-first">
                            <img class="w-48 floating inline" src="{{ url("uploads/$project->image") }}" alt="">
                            <div class="image-shadow"></div>
                        </div>

                    </div>
                </div>
            </div>
        @endforeach
    </div>

    <!-- If we need navigation buttons -->
    <div class="swiper-button-prev"></div>
    <div class="swiper-button-next"></div>

    {{-- <div class="swiper-pagination"></div> --}}
    {{-- <div class="swiper-scrollbar"></div> --}}
</div>
@once
    @push('scripts')
        <script>
            // after page load
            window.addEventListener("load", (event) => {
                const swiper = new Swiper('.projects-swiper', {
                    // Optional parameters
                    loop: true,
                    // grabCursor: true,
                    // slidesPerView: 1,
                    // initialSlide: 1,
                    effect: 'fade',
                    autoHeight: true,
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev',
                    },
                    autoplay: {
                        delay: 5000,
                    },
                    // pagination: {
                    //     el: ".swiper-pagination",
                    //     clickable: true,
                    //     renderBullet: function(index, className) {
                    //         return '<span class="' + className + '"></span>';
                    //     },
                    // },
                    // scrollbar: {
                    //     el: '.swiper-scrollbar',
                    // },

                });
            });
        </script>
    @endpush
@endonce
