<div dir="{{ __('app.direction') ?? 'ltr' }}" class="w-full relative overflow-hidden h-[20em] services-swiper">
    <!-- Additional required wrapper -->
    <div class="swiper-wrapper">
        <!-- Slides -->
        @foreach ($services as $service )
        <div class="swiper-slide">
            <div class="slide">
                <img class="h-full w-full object-cover" src="{{url("uploads/$service->image")}}" alt="">
                <div class="slide-overlay flex justify-center items-center">
                    <div class="text-white text center w-[80%] text-center">
                        {{ $service->name }}
                    </div>
                </div>
            </div>
        </div>
        @endforeach
    </div>
    <!-- If we need navigation buttons -->
    <div class="swiper-button-prev"></div>
    <div class="swiper-button-next"></div>

    {{-- <div class="swiper-pagination"></div> --}}
    <div class="swiper-scrollbar"></div>
</div>
@once
    @push('scripts')
        <script>
            // after page load
            window.addEventListener("load", (event) => {
                const swiper = new Swiper('.services-swiper', {
                    // Optional parameters
                    rewind: true,
                    // grabCursor: true,
                    slidesPerView: 1,
                    breakpoints: {
                        // when window width is >= 320px
                        640: {
                            centeredSlides: true,
                            spaceBetween: 5,
                            slidesPerView: 2,
                            centerInsufficientSlides: true,
                            loop:true,
                            grabCursor: true,

                        },
                    },
                    // initialSlide: 1,

                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev',
                    },
                    autoplay: {
                        delay: 3000,
                    },
                    // pagination: {
                    //     el: ".swiper-pagination",
                    //     clickable: true,
                    //     renderBullet: function(index, className) {
                    //         return '<span class="' + className + '"></span>';
                    //     },
                    // },
                    scrollbar: {
                        el: '.swiper-scrollbar',
                    },

                });
            });
        </script>
    @endpush
@endonce
