<div class="about-page h-full bg-white">
    <div style="background-image: url('/assets/images/about-bg.png')"
        class="intro-page bg-center group bg-primary-600/20 bg-cover text-white h-64 relative">
        <div class="absolute bg-primary-600/90 right-0 left-0 bottom-0 top-0 flex justify-center items-center">
            <h1 class="font-semibold text-2xl">
                {{ __('app.pages.about.title') }}
            </h1>
        </div>
        <svg version="1.1" class="absolute bottom-[-1px] w-full" fill="currentColor" id="Layer_1"
            xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
            viewBox="0 0 1920 85" style="enable-background:new 0 0 1920 85;" xml:space="preserve">
            <path class="st0" d="M0,85h1920V1L960,84L0,1V85z"></path>
        </svg>
    </div>
    <div class="overview lg:p-16 p-8">
        {!! $this->about->overview !!}
    </div>
    <x-sliders.about-slider />
    <div class="detail p-8">
        {!! $this->about->detail !!}
    </div>
    <section x-intersect.half="selected_navbar='#contact'" id="contact" class="bg-primary-500 p-8">
        <h1 class="text-center pt-8">
            <span class="text-secondary-500 text-2xl font-bold">
                {{ __('app.pages.home.sections.contact.title') }}
            </span>
        </h1>
        <p class="text-white p-4 text-center">
            {{ __('app.pages.home.sections.contact.subtitle') }}
        </p>
        <div class="grid gap-8 lg:grid-cols-5 mt-8">
            <div class="lg:col-span-2 bg-primary-500">
                <h3 class="text-xl font-bold text-secondary-400">
                    {{ __('app.pages.home.sections.contact.address') }}
                </h3>
                <div class="text-white pt-2">
                    {!! $this->about->address !!}
                </div>
                <h3 class="text-xl font-bold text-secondary-400 pt-4">
                    {{ __('app.pages.home.sections.contact.phones') }}
                </h3>
                <div class="text-white pt-2">
                    {!! $this->about->phones !!}
                </div>
                <h3 class="text-xl font-bold text-secondary-400 pt-4">
                    {{ __('app.pages.home.sections.contact.social_media') }}
                </h3>
                <div class="text-white pt-2">
                    @foreach ($this->about->social_media_links as $link)
                        <a class="rtl:pl-3 rtl:pr-0 pl-0 pr-3 hover:text-secondary-300 hover:rotate-[17deg] transition-all"
                            href="{{ $link['link'] }}">{{ svg($link['icon'], ['class' => 'w-6 h-6 inline-block']) }}</a>
                    @endforeach
                </div>
            </div>
            <div class="lg:col-span-3">
                <h3 class="text-xl font-bold text-secondary-400 pb-8">
                    {{ __('app.pages.home.sections.contact.contact_us') }}
                </h3>
                @livewire('forms.contact-form')
            </div>
        </div>
    </section>
    <footer class="bg-primary-600 p-8 border-t-[0.01px] border-white/20">
        <div class="text-center text-white">
            {!! __('app.footer') !!}
        </div>
    </footer>
</div>
@once
    @push('cssLibs')
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.css" />
    @endpush
    @push('jsLibs')
        <script src="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.js"></script>
    @endpush
@endonce
