<div id="home-page">
    <section id="home" x-intersect.half="selected_navbar='#home'" class="h-[calc(100vh-50px)] md:h-[100vh]">
        <x-sliders.home-slider :slides="$this->slides" />
    </section>
    <section x-data="{ animate: false }" x-intersect.half=" animate=true;" x-intersect:leave="animate=false;" class="bg-white"
        :class="animate ? 'animated' : ''" x-intersect.half="selected_navbar='#about'" id="about">
        <div class=" bg-waheej-pattern lg:p-16 p-4  flex justify-center items-center">
            <div class="grid lg:grid-cols-3 gap-8 ">
                <div class="text-center relative pt-16 lg:pt-0">
                    <img class="floating inline w-48" src="/assets/images/icon.svg" alt="">
                    <div class="image-shadow"></div>
                </div>
                <div class="lg:col-span-2 mt-4 text-white lg:text-start text-center">
                    <h1 class="text-primary-600 text-2xl font-bold fadeInUp">
                        <span class="">{{ __('app.pages.home.sections.about.title') }}</span>
                    </h1>
                    <div class="overflow-y-auto pl-2 text-gray-800 py-4">
                        {!! $this->about->overview !!}
                    </div>
                    <div class="fadeInUp more lg:text-end text-center delay2">
                        <a class="more-btn mb-8  " href="{{ route('AboutPage') }}">
                            <span>{{ __('app.more_button') }}</span>
                            <span class="svg_wrapper">
                                <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg"
                                    xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                    viewBox="0 0 112.1 74" style="enable-background:new 0 0 112.1 74;"
                                    xml:space="preserve">
                                    <g transform="matrix(1.25,0,0,-1.25,0,74.027125)">
                                        <g transform="translate(68.936,26.6113)">
                                            <path
                                                d="M-48.2,0c-1.7,0-3,1.3-3,3s1.3,3,3,3h65.9c1.7,0,3-1.3,3-3s-1.3-3-3-3L-48.2,0">
                                            </path>
                                        </g>
                                        <g transform="translate(60.0967,0)">
                                            <path
                                                d="M-30.5,0c-0.8,0-1.5,0.3-2.1,0.9l-26.6,26.6c-0.6,0.6-0.9,1.3-0.9,2.1s0.3,1.6,0.9,2.1l26.6,26.6c1.2,1.2,3.1,1.2,4.2,0
                                            c1.2-1.2,1.2-3.1,0-4.2l-24.5-24.5l24.5-24.5c1.2-1.2,1.2-3.1,0-4.2C-28.9,0.3-29.7,0-30.5,0">
                                            </path>
                                        </g>
                                    </g>
                                </svg>
                            </span>

                        </a>
                    </div>
                </div>

            </div>
        </div>
        {{-- <div class="px-16 "> --}}
        <x-sliders.about-slider />
        {{-- </div> --}}
    </section>
    <section x-intersect.half="selected_navbar='#services'" id="services" class=" pt-16">
        <div class="text-center">
            <img class="inline" src="/assets/images/services.svg" alt="">
        </div>
        <h1 class="text-center p-4">
            <span class="text-primary-600 text-2xl font-bold ">
                {{ __('app.pages.home.sections.services.title') }}
            </span>
        </h1>
        <div class="text-center pb-8 text-gray-500">
            {{ __('app.pages.home.sections.services.subtitle') }}
        </div>

        <x-sliders.services-slider :services="$this->services" />

    </section>
    <section x-intersect.half="selected_navbar='#projects'" id="projects" class="bg-white">
        <h1 class="text-center py-16">
            <span class="text-primary-600 text-2xl font-bold ">
                {{ __('app.pages.home.sections.projects.title') }}
            </span>
        </h1>
        <x-sliders.projects-slider :projects="$this->projects" />
    </section>
    <section x-data="{ animate: false }" x-intersect:leave="animate=false;" x-intersect=" animate=true;"
        x-intersect.half="selected_navbar='#partners'; " id="partners" class="bg-white"
        :class="animate ? 'animated' : ''">
        <h1 class="text-center py-16 fadeInUp">
            <span class="text-primary-600 text-2xl font-bold ">
                {{ __('app.pages.home.sections.partners.title') }}
            </span>
        </h1>
        <div class="grid lg:grid-cols-4 grid-cols-2 gap-8 p-16">
            @foreach ($this->partners as $partner)
                <div class="fadeInUp delay" style="--delay:{{ $loop->index }}">
                    <img class="w-full" src="{{ url("uploads/$partner->image") }}" alt="">
                </div>
            @endforeach
        </div>
    </section>
    <section x-intersect.half="selected_navbar='#contact'" id="contact" class="bg-primary-500 p-8">
        <h1 class="text-center pt-8">
            <span class="text-secondary-500 text-2xl font-bold">
                {{ __('app.pages.home.sections.contact.title') }}
            </span>
        </h1>
        <p class="text-white p-4 text-center">
            {{ __('app.pages.home.sections.contact.subtitle') }}
        </p>
        <div class="grid gap-8 lg:grid-cols-5 mt-8">
            <div class="lg:col-span-2 bg-primary-500">
                <h3 class="text-xl font-bold text-secondary-400">
                    {{ __('app.pages.home.sections.contact.address') }}
                </h3>
                <div class="text-white pt-2">
                    {!! $this->about->address !!}
                </div>
                <h3 class="text-xl font-bold text-secondary-400 pt-4">
                    {{ __('app.pages.home.sections.contact.phones') }}
                </h3>
                <div class="text-white pt-2">
                    {!! $this->about->phones !!}
                </div>
                <h3 class="text-xl font-bold text-secondary-400 pt-4">
                    {{ __('app.pages.home.sections.contact.social_media') }}
                </h3>
                <div class="text-white pt-2">
                    @foreach ($this->about->social_media_links as $link)
                        <a class="rtl:pl-3 rtl:pr-0 pl-0 pr-3 hover:text-secondary-300 hover:rotate-[17deg] transition-all"
                            href="{{ $link['link'] }}">{{ svg($link['icon'], ['class' => 'w-6 h-6 inline-block']) }}</a>
                    @endforeach
                </div>
            </div>
            <div class="lg:col-span-3">
                <h3 class="text-xl font-bold text-secondary-400 pb-8">
                    {{ __('app.pages.home.sections.contact.contact_us') }}
                </h3>
                @livewire('forms.contact-form')
            </div>
        </div>
    </section>
    <footer class="bg-primary-600 p-8 border-t-[0.01px] border-white/20">
        <div class="text-center text-white">
            {!! __('app.footer') !!}
        </div>
    </footer>
</div>
